Bug 449828 - "rpmbuild -ta some.tar.gz" creates "tar: *.spec: Not found in archive"
"rpmbuild -ta some.tar.gz" creates "tar: *.spec: Not found in archive"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-03 15:45 EDT by Horst H. von Brand
Modified: 2008-07-14 08:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-14 08:13:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2008-06-03 15:45:45 EDT
Description of problem:
When running "rpmbuild -ta some.tar.gz" on some.tar.gz which doesn't contain a
specfile, a file with name "tar: *.spec: Not found in archive" is created where
the specfiles should go.

Version-Release number of selected component (if applicable):
rpm-build-4.4.2.3-2.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Has been this way for a long time...
Comment 1 Panu Matilainen 2008-06-04 00:04:55 EDT
Yup. It's been fixed upstream a couple of months ago though.
Comment 2 Horst H. von Brand 2008-06-15 20:11:29 EDT
Nope, it is still in rpm-build-4.4.2.3-2.fc9.i386 (latest rawhide version, just
checked to make sure).
Comment 3 Panu Matilainen 2008-06-16 01:42:44 EDT
rawhide != upstream
Comment 4 Panu Matilainen 2008-07-14 08:13:11 EDT
And now it's in rawhide too...

Note You need to log in before you can comment on or make changes to this bug.